Lisp file works in ps but not ms???

Discussion in 'AutoCAD' started by adesta, Sep 16, 2003.

  1. adesta

    adesta Guest

    Not sure if you can post lisp files on here, so I won't, but I have a lisp file that works in paper space but not in model space. It is one I tried to come up with myself, so I have no idea what I would have done to make it work one place but not the other. Any ideas without seeing the file?

    Thanks
     
    adesta, Sep 16, 2003
    #1
  2. adesta

    Rudy Tovar Guest

    VOOOoooommmmm, Bbaaammm.....over my head........



     



    Please post the code.



     



    We have no idea on how it works....



     



    "adesta" <> wrote in message news:...

    Not sure if you can post lisp files on here, so I won't, but I have a lisp file that works in paper space but not in model space. It is one I tried to come up with myself, so I have no idea what I would have done to make it work one place but not the other. Any ideas without seeing the file?

    Thanks
     
    Rudy Tovar, Sep 16, 2003
    #2
  3. adesta

    adesta Guest

    map2000i is the version and the all the items are in the same space.
     
    adesta, Sep 16, 2003
    #3
  4. Adesta,

    What version of AutoCAD and what is your Operating System?

    The one answer I can give, the lisp routine expects the objects to be in the
    same SPACE.

    Now I know somebody will have a better answer but that is what I have
    experenced.

    Later
    Kirk
    one I tried with break only work sometimes, for some reason)
     
    W. Kirk Crawford, Sep 16, 2003
    #4
  5. adesta

    jclaidler Guest

    What should this lisp accomplish in the end ??
     
    jclaidler, Sep 17, 2003
    #5
  6. adesta

    adesta Guest

    When it works, one of my lines no longer intersects the other but breaks before the line and starts again on the other side of it.
     
    adesta, Sep 17, 2003
    #6
  7. adesta

    jclaidler Guest

    try this: (defun c:xo ()

    (setq pt1 (getpoint "select intersection"))
    (command "circle" pt1 ".125")

    (setq ss (ssget "l") )

    (command "trim" "l" "" pt1 "")
    (command "erase" ss "")

    )
     
    jclaidler, Sep 17, 2003
    #7
  8. adesta

    adesta Guest

    Thanks, that works great. What does the (setq ss ssget "l")
    actually do?
     
    adesta, Sep 17, 2003
    #8
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.